--- old/usr/src/head/regex.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/regex.h	Sat Aug  2 23:27:12 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -142,11 +144,7 @@
 
 /* subexpression positions */
 typedef struct {
-#ifdef __STDC__
 	const char	*rm_sp, *rm_ep;	/* Start pointer, end pointer */
-#else
-	char		*rm_sp, *rm_ep;	/* Start pointer, end pointer */
-#endif
 	regoff_t	rm_so, rm_eo;	/* Start offset, end offset */
 	int		rm_ss, rm_es;	/* Used internally */
 } regmatch_t;
@@ -157,8 +155,6 @@
  * on wide characters.
  */
 
-#if defined(__STDC__)
-
 extern int regcomp(regex_t *_RESTRICT_KYWD, const char *_RESTRICT_KYWD, int);
 extern int regexec(const regex_t *_RESTRICT_KYWD, const char *_RESTRICT_KYWD,
 	size_t, regmatch_t *_RESTRICT_KYWD, int);
@@ -166,15 +162,6 @@
 	char *_RESTRICT_KYWD, size_t);
 extern void regfree(regex_t *);
 
-#else  /* defined(__STDC__) */
-
-extern int regcomp();
-extern int regexec();
-extern size_t regerror();
-extern void regfree();
-
-#endif  /* defined(__STDC__) */
-
 #ifdef	__cplusplus
 }
 #endif
